Skip to main content
GET
/
organization
/
structure
/
api
/
legal-units
List legal-units
curl --request GET \
  --url https://{host}/organization/structure/api/legal-units \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/organization/structure/api/legal-units"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/organization/structure/api/legal-units', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": 2,
      "name": "<string>",
      "countryId": "<string>",
      "code": "<string>",
      "legalIdentificationNumber": "<string>",
      "activityCode": "<string>",
      "country": {
        "id": 2,
        "name": "<string>",
        "code": "<string>",
        "currencyCode": "<string>",
        "currency": {
          "code": "<string>",
          "englishName": "<string>",
          "symbol": "<string>"
        },
        "defaultTimeZone": "Europe/Paris"
      },
      "headquartersId": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "isArchived": true
    }
  ],
  "prev": "<string>",
  "next": "<string>"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

id
integer<int32>[]

Comma-separated list of legal-unit IDs.

Required range: x >= 1

Search legal-units based on their name.

isArchived
enum<string>
default:false

Filter on the "isArchived" status. By default, is equal to "false", thus archived legal-units are not returned. To return both archived and non-archived legal units, use ?isArchived=true,false.

Available options:
true,
false,
true,false
page
default:1

Page index (int - starts at 1) or cursor (string)

limit
integer<int32>
default:10

Page size.

Required range: 0 <= x <= 100
fields.root
enum<string>[]

Include prev and next pages cursors, as well as the number of all items across all pages (count).

Available options:
prev,
next,
count

Response

OK

items
legal-unit · object[]
prev
string | null

Cursor of the previous page (used with the ?page={{cursor}} query parameter).

next
string | null

Cursor of the next page (used with the ?page={{cursor}} query parameter).